summaryrefslogtreecommitdiffstats
path: root/network/exim/exim.SlackBuild
diff options
context:
space:
mode:
author Thomas Morper <thomas@beingboiled.info>2014-05-28 23:09:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-28 23:45:49 +0700
commit722a4abc07bdca7055b52d9d2b0220d8658091df (patch)
tree6f5a52ebe3003a72e4daed6b7ff0a0da655b7501 /network/exim/exim.SlackBuild
parent3640f0c78565475179957772175b7e7bf7babba6 (diff)
downloadslackbuilds-722a4abc07bdca7055b52d9d2b0220d8658091df.tar.gz
slackbuilds-722a4abc07bdca7055b52d9d2b0220d8658091df.tar.xz
network/exim: Updated for version 4.82.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/exim/exim.SlackBuild')
-rw-r--r--network/exim/exim.SlackBuild17
1 files changed, 10 insertions, 7 deletions
diff --git a/network/exim/exim.SlackBuild b/network/exim/exim.SlackBuild
index 512cca49c2..c6296dfcd9 100644
--- a/network/exim/exim.SlackBuild
+++ b/network/exim/exim.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for Exim
-# Copyright 2012 Thomas Morper, Augsburg, Germany
+# Copyright 2012-2014 Thomas Morper, Augsburg, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=exim
-VERSION=${VERSION:-4.82}
+VERSION=${VERSION:-4.82.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -70,10 +70,13 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# change version string from CVS identifier to official version
+test "$VERSION" = "4.82.1" && patch -p1 < $CWD/exim-4.82.1-version.patch || true
# This is our custom config for an all-purpose Exim daemon.
# The SQL- and LDAP-lookups will not be built by default,
@@ -102,7 +105,7 @@ FULLECHO="" LIBDIRSUFFIX=$LIBDIRSUFFIX DESTDIR=$PKG make -e makefile
FULLECHO="" LIBDIRSUFFIX=$LIBDIRSUFFIX DESTDIR=$PKG make -e
FULLECHO="" LIBDIRSUFFIX=$LIBDIRSUFFIX DESTDIR=$PKG make -e install
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Rename the version specific binary to simply 'exim'.